package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:adr:(系统表)地址信息表
*/
@Table("adr")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Adr extends AbstractModule
{

        public Adr(){
            super();
        }

        public Adr(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "adr";
        }

        //唯一编号
        private String inr ;
        //地址外键
        private String extkey ;
        //详细地址
        private String adr ;
        //联系人名称
        private String lnknam ;
        //电话号码
        private String tel ;
        //传真号码
        private String fax ;
        //邮箱地址
        private String eml ;
        //邮政编码
        private String pobzip ;
        //当地号码
        private String telloc ;
        //城市
        private String cty ;
        //国家
        private String cnt ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}