package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:doe:勾销记账处理记录表
*/
@Table("doe")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Doe extends AbstractModule
{

        public Doe(){
            super();
        }

        public Doe(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "doe";
        }

        //inr
        private String inr ;
        //dotinr
        private String dotinr ;
        //处理交易
        private String frmnam ;
        //处理用户
        private String usr ;
        //处理时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opdate;
        //备注
        private String bak ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}