package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:frr:菜单分配记录表
*/
@Table("frr")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Frr extends AbstractModule
{

        public Frr(){
            super();
        }

        public Frr(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "frr";
        }

        //主键
        private String inr ;
        //交易外键
        private String frminr ;
        //角色外键
        private String objinr ;
        //关联类型
        private String objtyp ;
        //frr交易状态
        private String typ ;
        //交易代码monly
        private String frm ;
        //交易描述monly
        private String dsp ;
        //交易类型monly
        private String frmtyp ;
        //是否选中monly
        private String chk ;
        //frm交易状态monly
        private String frmviwtyp ;
        //新增删除标志monly
        private String flg ;
        //是否在菜单中显示
        private String dspflg ;
        //交易父菜单monly
        private String pntinr ;




}