package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:frs:机构交易权限记录表
*/
@Table("frs")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Frs extends AbstractModule
{

        public Frs(){
            super();
        }

        public Frs(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "frs";
        }

        //唯一标识
        private String inr ;
        //交易所需复核等级
        private String sigreq ;
        //交易是否开始复核
        private String sigflg ;
        //交易表主键
        private String frminr ;
        //机构表主键
        private String bchinr ;
        //交易描述monly
        private String dsp ;
        //交易代码monly
        private String frm ;




}