package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fxdsic:结算行币种数据文件
*/
@Table("fxdsic")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxdsic extends AbstractModule
{

        public Fxdsic(){
            super();
        }

        public Fxdsic(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fxdsic";
        }

        //主键
        private String inr ;
        //结算行代码
        private String stlcode ;
        //结算银行行号
        private String stlbic ;
        //币种代码
        private String cur ;
        //fxd表inr
        private String fxdinr ;
        //状态
        private String sta ;




}