package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:gss:
*/
@Table("gss")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Gss extends AbstractModule
{

        public Gss(){
            super();
        }

        public Gss(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "gss";
        }

        //主键
        private String inr ;
        //原状态
        private String oldsta ;
        //当前G系统状态
        private String cursta ;
        //记录创建时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date createtim;
        //机构变更期数
        private String joicpc ;
        //公共变更期数
        private String pubcpc ;
        //附言
        private String ptscrt ;




}