package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ljs:逻辑集中接口报文存储表
*/
@Table("ljs")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ljs extends AbstractModule
{

        public Ljs(){
            super();
        }

        public Ljs(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ljs";
        }

        //主键索引
        private String inr ;
        //创建业务类型
        private String objtyp ;
        //创建业务关键字
        private String objinr ;
        //报文名称
        private String nam ;
        //创建交易名
        private String crtfrm ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date credattim;
        //报文保存相对路径
        private String docpth ;
        //报文保存文件名
        private String docfil ;
        //报文格式(扩展名)
        private String docfxt ;
        //报文MD5值信息
        private String docmd5 ;
        //报文长度
        private long doclen ;
        //报文备注信息
        private String txt ;
        //总控信息表主键
        private String ljdinr ;
        //自动解析报文次数
        private int xxxcnt ;
        //详细备注
        private String roftxt ;




}