package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ord:(系统表)订单信息表
*/
@Table("ord")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ord extends AbstractModule
{

        public Ord(){
            super();
        }

        public Ord(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ord";
        }

        //唯一编号
        private String inr ;
        //订单预计完成时间（对于VIP用户）
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date tardattim;
        //状态更新时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date stadattim;
        //订单当前状态
        private String sta ;
        //订单所属机构
        private String ptyinr ;
        //对象类型
        private String objtyp ;
        //对象编号
        private String objinr ;
        //订单名称
        private String nam ;
        //订单创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date inidattim;
        //当前交易名称
        private String frm ;
        //订单当前处理实体组
        private String optetginr ;
        //订单所属实体机构
        private String etyinr ;
        //订单所属实体组
        private String etginr ;
        //订单完成时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date cpldattim;
        //订单所属兴业银行机构
        private String bnkinr ;
        //订单创建交易名称
        private String inifrm ;
        //订单当前处理实体
        private String optetyinr ;
        //订单当前处理机构
        private String optptyinr ;




}