package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ore:(系统表)订单状态事件表
*/
@Table("ore")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ore extends AbstractModule
{

        public Ore(){
            super();
        }

        public Ore(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ore";
        }

        //编号
        private String inr ;
        //等待操作经历时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date waidur;
        //操作用户
        private String usrinr ;
        //操作后状态，详见ord/sta
        private String typ ;
        //批注信息
        private String txt ;
        //操作机构
        private String ptyinr ;
        //ord编号
        private String ordinr ;
        //交易代码
        private String frm ;
        //操作结束时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date enddattim;
        //操作开始时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date begdattim;
        //业务编号
        private String objinr ;
        //业务类型
        private String objtyp ;
        //操作经历时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date prcdur;




}