package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:parameter:参数表
*/
@Table("parameter")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Parameter extends AbstractModule
{

        public Parameter(){
            super();
        }

        public Parameter(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "parameter";
        }

        //主键
        private String inr ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credattim;
        //发报行/账户行
        private String sndbic ;
        //报文类型
        private String msgtyp ;
        //79域内容1
        private String content ;
        //79域内容2
        private String content1 ;
        //79域内容3
        private String content2 ;
        //交易名
        private String trnnam ;
        //是否生效标志
        private String flg ;
        //备份字段
        private String strbak ;
        //备份字段1
        private String strbak1 ;
        //备份字段2
        private String strbak2 ;
        //备注描述
        private String statyp ;
        //操作员
        private String usr ;




}