package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ptt:代理行联系表
*/
@Table("ptt")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ptt extends AbstractModule
{

        public Ptt(){
            super();
        }

        public Ptt(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ptt";
        }

        //唯一索引
        private String inr ;
        //代理行BIC码
        private String ptybic ;
        //币种
        private String cur ;
        //联系人中文名称
        private String usrnam ;
        //固定电话1
        private String tel1 ;
        //传真号码
        private String fax ;
        //邮箱地址
        private String eml ;
        //移动电话
        private String mobile ;
        //代理行名称
        private String ptynam ;
        //联系人性质
        private String usratr ;
        //备注
        private String rmk ;
        //联系人英文名称
        private String engnam ;
        //固定电话2
        private String tel2 ;
        //固定电话3
        private String tel3 ;
        //代理行账户行标志
        private String flg ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}