package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:sme:keep a record of operations
*/
@Table("sme")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sme extends AbstractModule
{

        public Sme(){
            super();
        }

        public Sme(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "sme";
        }

        //primary key
        private String inr ;
        //deal time
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dattim;
        //handle user
        private String usr ;
        //操作记录
        private String txt ;
        //deal transaction
        private String frmnam ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;
        //数据库名
        private String dbnam ;
        //表名
        private String tabnam ;
        //操作类型
        private String oprtyp ;
        //原始主键值
        private String objinr ;




}