package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:wfe:(系统表)工作流明细表
*/
@Table("wfe")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Wfe extends AbstractModule
{

        public Wfe(){
            super();
        }

        public Wfe(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "wfe";
        }

        //唯一编号
        private String inr ;
        //WFS编号
        private String wfsinr ;
        //完成目标时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date tardattim;
        //交易当前所处状态
        private String sta ;
        //服务名
        private String srv ;
        //Retry次数
        private int rtycnt ;
        //是否可以手工处理
        private String manflg ;
        //处理时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dattim;
        //服务的参数
        private String srvtxt ;
        //其他参数
        private String txt ;
        //处理结果描述
        private String restxt ;




}