package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:wfs:(系统表)工作流简表
*/
@Table("wfs")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Wfs extends AbstractModule
{

        public Wfs(){
            super();
        }

        public Wfs(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "wfs";
        }

        //唯一编号
        private String inr ;
        //ORD或TRN关联ORD或TRN表的数据键值
        private String objtyp ;
        //对象编号ORD或TRN表的数据键值
        private String objinr ;
        //附加信息
        private String wfstxt ;
        //对象信息
        private String objnam ;




}