package com.ceb.gjjs.mda.manager;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.brilliance.mda.runtime.mda.util.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.vo.SndtskVO;

import com.ceb.gjjs.mda.manager.module.Sysmod;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
* 发报服务
*/
@Transaction(vo= SndtskVO.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sndtsk extends AbstractTransaction{
		private static Logger log = LoggerFactory.getLogger(Sndtsk.class);

		@BDGetter
		private Sysmod sysmod;


		public Sndtsk()
        {
            super();
            setArgument();
        }

        public void setArgument()
        {
        }




        /**
        *   source:sndtsk.@0000.script
        */
        public void service(IState state)
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			log.debug("{}","mq发报服务开始...");
			MdaUtils.invoke("com.brilliance.eibs.main.Client","scall","sendTask","pollTask",new Object[]{state});
			log.debug("{}","mq发报服务结束！");
		}


}