package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 代理行查询结果显示模型
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Agbshw extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Agbshw.class);

        //唯一编号
        private String inr;

        //机构英文名称
        private String engnam;

        //机构中文名称
        private String chnnam;

        //BIC码
        private String extkey;

        //是否为黑名单
        private String blkflg;

        //是否参与国结双报
        private String chaflg;

        //是否参与零售双报
        private String selflg;

        //我行对代理行是否有授信关系
        private String mtaflg;

        //代理行对我行是否有授信关系
        private String atmflg;




		public Agbshw()
        {
            super();
            setArgument();
        }

        public Agbshw(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }























}