package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Cdt;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cdtgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Cdtgrp.class);

        //数据操作标识
        private String recsavflg;



	    @BDGetter
		private Cdt rec;


		public Cdtgrp()
        {
            super();
            setArgument();
        }

        public Cdtgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }




        /**
        *   source:cdtgrp.@0002.script
        */
        public boolean insert()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			log.debug("{}","cdt insert...");
			ctx.getErrorCode();
			String inr = Platform.sdbCounter("cdt");
			this.getRec().setInr( inr);
			log.debug("{}","crd inr:"+this.getRec().getInr());
			Platform.mdbInsert(this.getRec());
			if(ctx.getErrorCode()==NO_ERROR)
			  return true;
			else
			  return false;
		}
        /**
        *   source:cdtgrp.@0003.script
        */
        public boolean update()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			log.debug("{}","cdt update..");
			ctx.getErrorCode();
			Platform.mdbUpdate(this.getRec());
			if(ctx.getErrorCode()==NO_ERROR)
			  return true;
			else
			  return false;
		}




}