package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Maxmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Maxmod.class);




		public Maxmod()
        {
            super();
            setArgument();
        }

        public Maxmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }




        /**
        *   source:maxmod.@0000.script
        */
        public int getMaxCounterOfSelect()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			/*
			  int cnt= 0;
			  Argument<Integer> maxCounter = new Argument<Integer>("maxnum");
			  String sql = "SELECT maxnum FROM arginf";
			  Platform.mdbExecuteSQLWithDb(sql);
			  Platform.mdbFetchFields(maxCounter);
			  if(Platform.errorCode() == NO_ERROR)
			  {
			  cnt = maxCounter.value;
			  }
			  Platform.mdbCloseCursor();
			  return cnt;
			  */

			String cod="";
			int cnt=20000;
			Argument<String> maxCounter = new Argument<String>("cod");
			String sql = "SELECT cod FROM sth,stb WHERE sth.tbl=stb.tbl AND stb.tbl='SELMAX'";
			Platform.mdbExecuteSQLWithDb(sql);
			Platform.mdbFetchFields(maxCounter);
			if(ctx.getErrorCode() == NO_ERROR)
			{
			  cod = maxCounter.value;
			}
			Platform.mdbCloseCursor();
			if(!MdaUtils.isEmpty(cod))
			{
			  cnt=MdaUtils.parseInt(cod.trim());
			}
			return cnt;
		}
        /**
        *   source:maxmod.@0001.script
        */
        public long getCounterOfMpi(String db,String sql,Object... value)
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			long cnt=1;
			// Argument<Long> maxCounter = new Argument<Long>("maxnum");
			// Platform.mdbExecuteSQLWithDb(sql,value);
			// Platform.mdbFetchFields(maxCounter);
			// if(Platform.errorCode() == NO_ERROR)
			// {
			//   cnt = maxCounter.value;
			// }
			// Platform.mdbCloseCursor();
			return cnt;
		}

}