package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Cdf;
import com.ceb.gjjs.mda.bo.Ktl;
import com.ceb.gjjs.mda.bo.Mpe;
import com.ceb.gjjs.mda.bo.Msd;
import com.ceb.gjjs.mda.bo.Kpa;
import com.ceb.gjjs.mda.bo.Doe;
import com.ceb.gjjs.mda.bo.Rel;
import com.ceb.gjjs.mda.bo.Pty;
import com.ceb.gjjs.mda.bo.Mps;
import com.ceb.gjjs.mda.bo.Off;
import com.ceb.gjjs.mda.bo.Smh;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Dot;
import com.ceb.gjjs.mda.bo.Otl;
import com.ceb.gjjs.mda.bo.Mpi;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Oftgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Oftgrp.class);



	    @BDGetter
		private Off rec;

		@BDGetter
		private ModuleList<Off> lst;

	    @BDGetter
		private Dotrec dotrel;

	    @BDGetter
		private Dotrec dotsmd;

	    @BDGetter
		private Dot dot;

	    @BDGetter
		private Kpa kpa;

	    @BDGetter
		private Msd msd;

	    @BDGetter
		private Cdf cdf;

	    @BDGetter
		private Kpa old;

	    @BDGetter
		private Kpa dif;

	    @BDGetter
		private Pty pty;

	    @BDGetter
		private Otl otl;

	    @BDGetter
		private Ktl ktl;

		@BDGetter
		private ModuleList<Dot> dotlst;

	    @BDGetter
		private Mps mps;

	    @BDGetter
		private Mpi mpi;

	    @BDGetter
		private Smh smh;

	    @BDGetter
		private Rel rel;

	    @BDGetter
		private Mpe mpe;

	    @BDGetter
		private Smpmod smpmod;

		@BDGetter
		private ModuleList<Ktl> ktlst;

		@BDGetter
		private ModuleList<Dot> dottmp;

	    @BDGetter
		private Doe doe;

		@BDGetter
		private ModuleList<Dot> dottmp2;

		@BDGetter
		private ModuleList<Dot> tmplst;

	    @BDGetter
		private Smpmod freetogo;


		public Oftgrp()
        {
            super();
            setArgument();
        }

        public Oftgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }































}