package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Mps;
import com.ceb.gjjs.mda.bo.Smh;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Smt;
import com.ceb.gjjs.mda.bo.Smp;
import com.ceb.gjjs.mda.bo.Mpi;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Smtgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Smtgrp.class);

        //保存标志
        private String recsavflg;

        //对账单实际页数
        private String smppagcnt;



	    @BDGetter
		private Smt rec;

	    @BDGetter
		private Smtsub smtsub;

	    @BDGetter
		private Smpsub smpsub;

		@BDGetter
		private ModuleList<Smp> oldlst;

		@BDGetter
		private ModuleList<Smp> newlst;

	    @BDGetter
		private Smdsub smdsub;

	    @BDGetter
		private Mpi mpi;

	    @BDGetter
		private Mps mps;

	    @BDGetter
		private Smh smh;

		@BDGetter
		private ModuleList<Mpi> lst;


		public Smtgrp()
        {
            super();
            setArgument();
        }

        public Smtgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
            this.getSmpsub().setSmtHolder(()->this.getRec());
            this.getSmdsub().setSmtHolder(()->this.getRec());
        }



















}