package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Stagrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Stagrp.class);



	    @BDGetter
		private Rolgrp rolgrp;

	    @BDGetter
		private Pttgrp pttgrp;

	    @BDGetter
		private Ktpgrp ktpgrp;

	    @BDGetter
		private Actgrp actgrp;

	    @BDGetter
		private Brcgrp brcgrp;

	    @BDGetter
		private Otlgrp otlgrp;

	    @BDGetter
		private Frmgrp frmgrp;

	    @BDGetter
		private Cfdgrp cfdgrp;

	    @BDGetter
		private Ktlgrp ktlgrp;

	    @BDGetter
		private Crtgrp crtgrp;

	    @BDGetter
		private Chngrp chngrp;

	    @BDGetter
		private Usdgrp usdgrp;

	    @BDGetter
		private Sptgrp sptgrp;

	    @BDGetter
		private Crdgrp crdgrp;

	    @BDGetter
		private Cdtgrp cdtgrp;

	    @BDGetter
		private Usrgrp usrgrp;

	    @BDGetter
		private Frsgrp frsgrp;

	    @BDGetter
		private Agbgrp agbgrp;

	    @BDGetter
		private Urlgrp urlgrp;

	    @BDGetter
		private Ptygrp ptygrp;

	    @BDGetter
		private Usmgrp usmgrp;

	    @BDGetter
		private Frrgrp frrgrp;


		public Stagrp()
        {
            super();
            setArgument();
        }

        public Stagrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
            this.getKtlgrp().setPtpmodHolder(()->this.getAgbgrp().getPtpmod());
        }



























}