package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbajgxVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="jgxgrp.rec.areaat",dir= DirType.BOTH)
    private String jgxgrp_rec_areaat;

    @RelPath(value="jgxgrp.rec.blgflg",dir=DirType.BOTH)
    private String jgxgrp_rec_blgflg;

    @RelPath(value="jgxgrp.rec.brhabl",dir=DirType.BOTH)
    private String jgxgrp_rec_brhabl;

    @RelPath(value="jgxgrp.rec.brhadr",dir=DirType.BOTH)
    private String jgxgrp_rec_brhadr;

    @RelPath(value="jgxgrp.rec.brhatr",dir=DirType.BOTH)
    private String jgxgrp_rec_brhatr;

    @RelPath(value="jgxgrp.rec.brhcod",dir=DirType.BOTH)
    private String jgxgrp_rec_brhcod;

    @RelPath(value="jgxgrp.rec.brhlvl",dir=DirType.BOTH)
    private String jgxgrp_rec_brhlvl;

    @RelPath(value="jgxgrp.rec.brhnam",dir=DirType.BOTH)
    private String jgxgrp_rec_brhnam;

    @RelPath(value="jgxgrp.rec.brhshtnam",dir=DirType.BOTH)
    private String jgxgrp_rec_brhshtnam;

    @RelPath(value="jgxgrp.rec.brhsta",dir=DirType.BOTH)
    private String jgxgrp_rec_brhsta;

    @RelPath(value="jgxgrp.rec.dutnam",dir=DirType.BOTH)
    private String jgxgrp_rec_dutnam;

    @RelPath(value="jgxgrp.rec.duttel",dir=DirType.BOTH)
    private String jgxgrp_rec_duttel;

    @RelPath(value="jgxgrp.rec.rglcod",dir=DirType.BOTH)
    private String jgxgrp_rec_rglcod;

    @RelPath(value="jgxp.tit",dir=DirType.BOTH)
    private String jgxp_tit;


}