package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbeetyVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="etygrp.rec.des",dir= DirType.BOTH)
    private String etygrp_rec_des;

    @RelPath(value="etygrp.rec.etginr",dir=DirType.BOTH)
    private String etygrp_rec_etginr;

    @RelPath(value="etygrp.rec.etyeng",dir=DirType.BOTH)
    private String etygrp_rec_etyeng;

    @RelPath(value="etygrp.rec.etynam",dir=DirType.BOTH)
    private String etygrp_rec_etynam;

    @RelPath(value="etygrp.rec.ref",dir=DirType.BOTH)
    private String etygrp_rec_ref;

    @RelPath(value="etyp.tit",dir=DirType.BOTH)
    private String etyp_tit;


}