package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import com.ceb.gjjs.mda.bo.Url;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbesrlVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="srlp.lognam",dir= DirType.BOTH)
    private String srlp_lognam;

    @RelPath(value="srlp.number1",dir=DirType.BOTH)
    private String srlp_number1;

    @RelPath(value="srlp.number2",dir=DirType.BOTH)
    private String srlp_number2;

    @RelPath(value="srlp.oprnam",dir=DirType.BOTH)
    private String srlp_oprnam;

    @RelPath(value="urlgrp.urllst1",dir=DirType.OUT)
    private ModuleList<Url> urlgrp_urllst1;

    @RelPath(value="urlgrp.urllst2",dir=DirType.OUT)
    private ModuleList<Url> urlgrp_urllst2;


}