package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbirolVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="rolgrp.rec.flg",dir= DirType.BOTH)
    private String rolgrp_rec_flg;

    @RelPath(value="rolgrp.rec.lev",dir=DirType.BOTH)
    private String rolgrp_rec_lev;

    @RelPath(value="rolgrp.rec.nam",dir=DirType.BOTH)
    private String rolgrp_rec_nam;

    @RelPath(value="rolgrp.rec.rellev",dir=DirType.BOTH)
    private String rolgrp_rec_rellev;


}