package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import com.ceb.gjjs.mda.manager.module.Ptyshw;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DblbrcVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="brcp.cid",dir= DirType.BOTH)
    private String brcp_cid;

    @RelPath(value="brcp.extkey",dir=DirType.BOTH)
    private String brcp_extkey;

    @RelPath(value="brcp.nam",dir=DirType.BOTH)
    private String brcp_nam;

    @RelPath(value="brcp.ptyshwlst",dir=DirType.OUT)
    private ModuleList<Ptyshw> brcp_ptyshwlst;

    @RelPath(value="brcp.ptytyp",dir=DirType.BOTH)
    private String brcp_ptytyp;


}