package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import com.ceb.gjjs.mda.bo.Etg;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbletgVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="etgp.des",dir= DirType.BOTH)
    private String etgp_des;

    @RelPath(value="etgp.etgshwlst",dir=DirType.OUT)
    private ModuleList<Etg> etgp_etgshwlst;

    @RelPath(value="etgp.nam",dir=DirType.BOTH)
    private String etgp_nam;


}