package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import com.ceb.gjjs.mda.bo.Ety;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbletyVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="etyp.des",dir= DirType.BOTH)
    private String etyp_des;

    @RelPath(value="etyp.etginr",dir=DirType.BOTH)
    private String etyp_etginr;

    @RelPath(value="etyp.etyeng",dir=DirType.BOTH)
    private String etyp_etyeng;

    @RelPath(value="etyp.etynam",dir=DirType.BOTH)
    private String etyp_etynam;

    @RelPath(value="etyp.etyshwlst",dir=DirType.OUT)
    private ModuleList<Ety> etyp_etyshwlst;

    @RelPath(value="etyp.ref",dir=DirType.BOTH)
    private String etyp_ref;


}