package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import com.ceb.gjjs.mda.bo.Jgx;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbljgxVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="jgxgrp.jgxlst",dir= DirType.OUT)
    private ModuleList<Jgx> jgxgrp_jgxlst;

    @RelPath(value="jgxp.brhlvl",dir=DirType.BOTH)
    private String jgxp_brhlvl;

    @RelPath(value="jgxp.jgxnam",dir=DirType.BOTH)
    private String jgxp_jgxnam;

    @RelPath(value="jgxp.jgxxid",dir=DirType.BOTH)
    private String jgxp_jgxxid;


}