package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbpusrVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="usrgrp.rec.dspnam",dir= DirType.BOTH)
    private String usrgrp_rec_dspnam;

    @RelPath(value="usrgrp.rec.eml",dir=DirType.BOTH)
    private String usrgrp_rec_eml;

    @RelPath(value="usrgrp.rec.lstdattim",dir=DirType.BOTH)
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date usrgrp_rec_lstdattim;

    @RelPath(value="usrgrp.rec.nam",dir=DirType.BOTH)
    private String usrgrp_rec_nam;

    @RelPath(value="usrgrp.rec.tel",dir=DirType.BOTH)
    private String usrgrp_rec_tel;

    @RelPath(value="usrgrp.rec.tinst",dir=DirType.BOTH)
    private String usrgrp_rec_tinst;

    @RelPath(value="usrgrp.rec.tpersoncode",dir=DirType.BOTH)
    private String usrgrp_rec_tpersoncode;

    @RelPath(value="usrgrp.rec.usrnum",dir=DirType.BOTH)
    private String usrgrp_rec_usrnum;


}