package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import com.ceb.gjjs.mda.bo.Mpe;
import com.ceb.gjjs.mda.bo.Gpe;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class FmtdtlVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="fmpp.mdtmod.gpe192lst",dir= DirType.OUT)
    private ModuleList<Gpe> fmpp_mdtmod_gpe192lst;

    @RelPath(value="fmpp.mdtmod.gpelst",dir=DirType.OUT)
    private ModuleList<Gpe> fmpp_mdtmod_gpelst;

    @RelPath(value="fmpp.mdtmod.gpeutrlst",dir=DirType.OUT)
    private ModuleList<Gpe> fmpp_mdtmod_gpeutrlst;

    @RelPath(value="fmpp.mdtmod.mpelst",dir=DirType.OUT)
    private ModuleList<Mpe> fmpp_mdtmod_mpelst;

    @RelPath(value="fmpp.mdtmod.msgdtl",dir=DirType.BOTH)
    private String fmpp_mdtmod_msgdtl;


}