package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import com.ceb.gjjs.mda.bo.Fxbank;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class PbtselVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="pbtgrp.bnklst",dir= DirType.OUT)
    private ModuleList<Fxbank> pbtgrp_bnklst;

    @RelPath(value="pbtp.bnkbic",dir=DirType.BOTH)
    private String pbtp_bnkbic;

    @RelPath(value="pbtp.bnknam",dir=DirType.BOTH)
    private String pbtp_bnknam;

    @RelPath(value="pbtp.bnktyp",dir=DirType.BOTH)
    private String pbtp_bnktyp;

    @RelPath(value="pbtp.ctycod",dir=DirType.BOTH)
    private String pbtp_ctycod;

    @RelPath(value="pbtp.nam",dir=DirType.BOTH)
    private String pbtp_nam;

    @RelPath(value="pbtp.ptycod",dir=DirType.BOTH)
    private String pbtp_ptycod;

    @RelPath(value="pbtp.pvccod",dir=DirType.BOTH)
    private String pbtp_pvccod;

    @RelPath(value="pbtp.tel",dir=DirType.BOTH)
    private String pbtp_tel;


}