package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.ceb.gjjs.mda.bo.Usrtab;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class UsrmsgVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="usrmsggrp.usrlst",dir= DirType.OUT)
    private ModuleList<Usrtab> usrmsggrp_usrlst;

    @RelPath(value="usrmsgp.begtim",dir=DirType.BOTH)
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date usrmsgp_begtim;

    @RelPath(value="usrmsgp.cursyssts",dir=DirType.BOTH)
    private String usrmsgp_cursyssts;

    @RelPath(value="usrmsgp.endtim",dir=DirType.BOTH)
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date usrmsgp_endtim;

    @RelPath(value="usrmsgp.newinf",dir=DirType.BOTH)
    private String usrmsgp_newinf;

    @RelPath(value="usrmsgp.oriinf",dir=DirType.BOTH)
    private String usrmsgp_oriinf;

    @RelPath(value="usrmsgp.rcvcod",dir=DirType.BOTH)
    private String usrmsgp_rcvcod;

    @RelPath(value="usrmsgp.reqnum",dir=DirType.BOTH)
    private String usrmsgp_reqnum;

    @RelPath(value="usrmsgp.sndcod",dir=DirType.BOTH)
    private String usrmsgp_sndcod;

    @RelPath(value="usrmsgp.sta",dir=DirType.BOTH)
    private String usrmsgp_sta;

    @RelPath(value="usrmsgp.subtyp",dir=DirType.BOTH)
    private String usrmsgp_subtyp;


}