package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:aut:待主管授权任务列表
*/
@Table("aut")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Aut extends AbstractModule
{

        public Aut(){
            super();
        }

        public Aut(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "aut";
        }

        //唯一标识
        private String inr ;
        //提交时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dattim;
        //提交者
        private String usrinr ;
        //任务主题
        private String sub ;
        //所属机构
        private String ptyinr ;
        //交易名称
        private String frm ;
        //任务状态
        private String sta ;
        //文件名
        private String filenam ;
        //objinr
        private String objinr ;
        //objtyp
        private String objtyp ;
        //详细信息
        private String dtl ;




}