package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:cpxpty:结构表
*/
@Table("cpxpty")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cpxpty extends AbstractModule
{

        public Cpxpty(){
            super();
        }

        public Cpxpty(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "cpxpty";
        }

        //唯一编号
        private String inr ;
        //接入机构行号
        private String bnkcod ;
        //接入结构中文名
        private String chnnam ;
        //接入机构英文名
        private String engnam ;
        //国别代码
        private String cty ;
        //境内标识
        private String dmtflg ;
        //法人机构识别编码
        private String lei ;
        //证书接入机构行号
        private String certid ;
        //变更生效时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date fctvdt;
        //电话
        private String ptypho ;
        //地址
        private String adrlin ;
        //邮编
        private String zipcod ;
        //邮箱
        private String mal ;
        //联系人
        private String contac ;
        //变更类型
        private String chngtp ;
        //业务办理状态
        private String status ;
        //登录状态
        private String logsts ;




}