package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:crd:查询查复常用语句存储表
*/
@Table("crd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Crd extends AbstractModule
{

        public Crd(){
            super();
        }

        public Crd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "crd";
        }

        //惟一编号
        private String inr ;
        //英文描述
        private String engstc ;
        //中文描述
        private String chnstc ;
        //说明
        private String exp ;
        //备注1
        private String rmk1 ;
        //备注2
        private String rmk2 ;
        //备注3
        private String rmk3 ;
        //语句类型
        private String typ ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;
        //序号
        private int ordnum ;




}