package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:cur:币种信息存储表
*/
@Table("cur")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cur extends AbstractModule
{

        public Cur(){
            super();
        }

        public Cur(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "cur";
        }

        //Identify of Cur
        private String inr ;
        //Cure Code
        private String cur ;
        //Cur Name
        private String curnam ;
        //Unit Name
        private String curunt ;
        //Cur Mark
        private String curmak ;
        //Help Length
        private String curhlplen ;
        //是否被系统使用
        private String flg ;
        //币种码
        private String numcod ;




}