package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:innact:内部账号信息表
*/
@Table("innact")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Innact extends AbstractModule
{

        public Innact(){
            super();
        }

        public Innact(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "innact";
        }

        //主键
        private String inr ;
        //账号
        private String id ;
        //币种
        private String cur ;
        //账户类型
        private String knd ;
        //开户机构代码
        private String ptycod ;
        //BIC
        private String bic ;
        //地区
        private String area ;
        //账户类型名称monly
        private String kndnam ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}