package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:jgx:
*/
@Table("jgx")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Jgx extends AbstractModule
{

        public Jgx(){
            super();
        }

        public Jgx(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "jgx";
        }

        //inr
        private String inr ;
        //机构编码
        private String brhcod ;
        //人行机构编码
        private String pbcbrhcod ;
        //机构类别
        private String brhtyp ;
        //机构类别细分
        private String brhsubtyp ;
        //上级机构
        private String upbrhcode ;
        //机构名称
        private String brhnam ;
        //机构简称
        private String brhshtnam ;
        //实际地址
        private String brhadr ;
        //机构层级
        private String brhlvl ;
        //机构职能
        private String brhabl ;
        //机构属性
        private String brhatr ;
        //机构状态
        private String brhsta ;
        //直属标志
        private String blgflg ;
        //行政区划
        private String rglcod ;
        //地域属性
        private String areaat ;
        //清算代码
        private String actcod ;
        //一分类型
        private String brhsys ;
        //国际业务金融机构标识码
        private String intfinbrhcod ;
        //机构英文名称
        private String brhengnam ;
        //人行支付行号
        private String pbcpaycod ;
        //IP地址
        private String ipaddr ;
        //代理打印机构
        private String agtbrhcod ;
        //负责人联系电话
        private String duttel ;
        //负责人手机号
        private String dutpho ;
        //负责人姓名
        private String dutnam ;
        //管理机构负责人
        private String mngdutnam ;
        //机构终端管理方式
        private String temmagtyp ;
        //金融机构类型
        private String brhsty ;
        //金融许可证号
        private String finlicnum ;
        //联网标志
        private String netflg ;
        //联系电话
        private String mngduttel ;
        //是否急付款网点
        private String setdat ;
        //是否急付款网点
        private String paynetflg ;
        //是否可以远程授权
        private String rmtautflg ;
        //是否有监控设备
        private String mondevflg ;
        //是否与金融机构同址
        private String bnkaddflg ;
        //所在行机构编码
        private String blgbrhcod ;
        //台席数
        private String seatnu ;
        //同址金融机构编码
        private String safincbrhcod ;
        //同址金融机构名称
        private String safincbrhnam ;
        //托管机构编码
        private String trubrhcod ;
        //网点负责人手机号码
        private String netduttel ;
        //网点负责人姓名
        private String netdutnam ;
        //网点人员数
        private String brhmemnum ;
        //营业时间
        private String bustim ;
        //邮政编码
        private String pstcod ;
        //证上地址
        private String licadr ;
        //终端号
        private String temid ;
        //业务准入系统集
        private String busaggreg ;
        //操作类型
        private String opr ;
        //接收时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date rcvdattim;
        //最后一次修改时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddattim;
        //NewField
        private String etyinr ;




}