package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ktp:记账类型表
*/
@Table("ktp")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ktp extends AbstractModule
{

        public Ktp(){
            super();
        }

        public Ktp(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ktp";
        }

        //主键
        private String inr ;
        //记账类型编号
        private String ktpno ;
        //记账类型名称
        private String ktpnam ;
        //备注
        private String rmk ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}