package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ljd:逻辑集中系统接口总控表
*/
@Table("ljd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ljd extends AbstractModule
{

        public Ljd(){
            super();
        }

        public Ljd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ljd";
        }

        //主键索引
        private String inr ;
        //渠道编号
        private String chncod ;
        //交易编码
        private String trncod ;
        //收发报标志
        private String dir ;
        //会计日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date accdat;
        //生成时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date credattim;
        //数据信息存放表名
        private String objtyp ;
        //本系统编码
        private String ownref ;
        //数据信息存放表主键
        private String objinr ;
        //系统流水号
        private String seqnum ;
        //汇票号码
        private String bilnum ;
        //收发状态
        private String sta ;
        //最后处理时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date lstdattim;
        //发送时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date snddattim;
        //入账状态
        private String accsta ;
        //退汇状态
        private String rtnopr ;
        //改汇次数
        private int ameopr ;
        //批量改汇标志
        private String batedt ;
        //汇票附加标志
        private String rmtflg ;
        //回执状态
        private String acksta ;
        //汇款信息类型
        private String yyptyp ;
        //返回码
        private String rspcod ;
        //返回描述
        private String rspinf ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;
        //G渠道标识
        private String sweflg ;
        //入账状态修改标识
        private String updflg ;
        //修改后入账状态
        private String updaccsta ;
        //是否新一代核心标志
        private String xhxflg ;
        //是否重发标志
        private String isrept ;
        //子交易序号
        private String subtxno ;
        //变更标志代码
        private String flgcod ;




}