package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:lje:逻辑集中接口处理步骤记录表
*/
@Table("lje")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Lje extends AbstractModule
{

        public Lje(){
            super();
        }

        public Lje(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "lje";
        }

        //主键索引
        private String inr ;
        //总控信息表主键
        private String ljdinr ;
        //数据信息存放表名
        private String objtyp ;
        //数据信息存放表主键
        private String objinr ;
        //处理时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date credattim;
        //操作用户
        private String usr ;
        //处理交易
        private String frmnam ;
        //处理前状态
        private String prvsta ;
        //处理状态
        private String sta ;
        //处理说明
        private String txt ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;




}