package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:otl:勾销参数控制表
*/
@Table("otl")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Otl extends AbstractModule
{

        public Otl(){
            super();
        }

        public Otl(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "otl";
        }

        //主键
        private String inr ;
        //参数名称
        private String nam ;
        //控制值
        private String val ;
        //备注
        private String rmk ;
        //参数名称
        private String chsnam ;
        //所属实体
        private String etyinr ;
        //所属机构
        private String ptyinr ;
        //处理状态
        private String oprsta ;
        //待审核记录外键
        private String lnkinr ;




}