package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:pbt:
*/
@Table("pbt")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Pbt extends AbstractModule
{

        public Pbt(){
            super();
        }

        public Pbt(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "pbt";
        }

        //pbt表主键
        private String inr ;
        //参与行行号
        private String bnkbic ;
        //参与行简称
        private String bnknam ;
        //参与行全称
        private String bnkallnam ;
        //参与行地址
        private String bnkadr ;
        //联系电话
        private String tel ;
        //联系人
        private String nam ;
        //邮编
        private String zipcod ;
        //email地址
        private String email ;
        //变更类型
        private String chgtyp ;
        //省属代码
        private String pvccod ;
        //地市代码
        private String ctycod ;
        //金融机构代码
        private String ptycod ;
        //备注
        private String rem ;
        //直接参与者inr
        private String dirbnkinr ;
        //参与行类型
        private String bnktyp ;
        //处理状态
        private String sta ;
        //变更期数
        private String chgnum ;
        //委托日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date valdat;




}