package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:pta:(系统表)机构地址关联表
*/
@Table("pta")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Pta extends AbstractModule
{

        public Pta(){
            super();
        }

        public Pta(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "pta";
        }

        //主键
        private String inr ;
        //企业名称
        private String nam ;
        //关联inr
        private String objinr ;
        //关联类型
        private String objtyp ;
        //关联地址关键值
        private String objkey ;
        //联系实体inr
        private String ptyinr ;
        //机构类型
        private String ptytyp ;
        //机构外键
        private String ptyextkey ;
        //关系类型
        private String ptatyp ;
        //所属实体
        private String etyinr ;




}