package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:rmk:审批记录表
*/
@Table("rmk")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rmk extends AbstractModule
{

        public Rmk(){
            super();
        }

        public Rmk(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "rmk";
        }

        //inr
        private String inr ;
        //dattim
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dattim;
        //flg
        private String flg ;
        //ordinr
        private String ordinr ;
        //trninr
        private String trninr ;
        //txt
        private String txt ;




}