package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:sro:
*/
@Table("sro")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sro extends AbstractModule
{

        public Sro(){
            super();
        }

        public Sro(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "sro";
        }

        //唯一编号
        private String inr ;
        //服务名称
        private String srv ;
        //服务描述
        private String srvnam ;
        //服务级别
        private int lev ;
        //服务子级别
        private int sublev ;




}