package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:stc:
*/
@Table("stc")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Stc extends AbstractModule
{

        public Stc(){
            super();
        }

        public Stc(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "stc";
        }

        //主键
        private String inr ;
        //接收机构标识码
        private String orgcod ;
        //密押号
        private String stccod ;
        //密押关系有效期起始日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date stceffdat;
        //密押关系有效期结束日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date stclnvdat;
        //收发报文类型
        private String recmestyp ;
        //报文类型
        private String mestyp ;
        //报文子类型
        private String messubtyp ;
        //报文识别号
        private String msgref ;
        //附加说明
        private String protry ;
        //原报文标识号
        private String orgmsgref ;
        //报文发送时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date msgseddat;
        //密押关系状态
        private String stcsta ;
        //记录/创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date createtim;
        //最近修改时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date updatetim;
        //多选框
        private String mul ;




}