package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:sysinf:
*/
@Table("sysinf")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sysinf extends AbstractModule
{

        public Sysinf(){
            super();
        }

        public Sysinf(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "sysinf";
        }

        //唯一编号
        private String inr ;
        //系统编号
        private String syscod ;
        //接收机构行号
        private String instgpty ;
        //发起机构行号
        private String instdpty ;
        //报文发起时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date sndttm;
        //报文标识号
        private String msgid ;
        //系统当前状态
        private String cursyssts ;
        //公共参数变更期数
        private String paramchngnb ;
        //附言
        private String ustrd ;
        //原报文标识号
        private String orgnlmsgid ;
        //原发起参与机构
        private String orgnlinstgpty ;
        //原报文类型
        private String orgnlmt ;




}