package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:usrsig:(系统表)操作员签字记录表
*/
@Table("usrsig")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Usrsig extends AbstractModule
{

        public Usrsig(){
            super();
        }

        public Usrsig(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "usrsig";
        }

        //交易主键
        private String inr ;
        //签字时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dattim;
        //交易代码
        private String frm ;
        //签字级别
        private String lvl ;
        //业务编号
        private String ownref ;
        //签字标志
        private String sig ;
        //签字状态
        private String sta ;
        //交易流水号
        private String trninr ;
        //用户编号
        private String usrinr ;
        //登录名称
        private String nam ;
        //角色复核授权级别
        private String rellev ;
        //签字类型
        private String typ ;
        //交易用户名称
        private String usrnam ;




}