package com.ceb.gjjs.mda.manager;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.brilliance.mda.runtime.mda.util.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.vo.SndselVO;

import com.ceb.gjjs.mda.manager.module.Sysmod;
import com.ceb.gjjs.mda.manager.module.Sndp;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.manager.module.Msggrp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
* 发报查询
*/
@Transaction(vo= SndselVO.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sndsel extends AbstractTransaction{
		private static Logger log = LoggerFactory.getLogger(Sndsel.class);

		@BDGetter
		private Msggrp msggrp;

		@BDGetter
		private Sndp sndp;

		@BDGetter
		private Sysmod sysmod;


		public Sndsel()
        {
            super();
            setArgument();
        }

        public void setArgument()
        {
           this.getSndp().setMsggrpHolder(()->this.getMsggrp());
        }








}