package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Argbut extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Argbut.class);

        //Add
        private IControl add;

        //Amendment
        private IControl ame;

        //Delete
        private IControl del;


        @JsonIgnore
        @BDGetter
        private transient IPanel butpnl;

        @JsonIgnore
        @BDGetter
        private transient IPanel nchanp;

        @JsonIgnore
        @BDGetter
        private transient IPanel addpnl;

        @JsonIgnore
        @BDGetter
        private transient IPanel uptdelpnl;

        @JsonIgnore
        @BDGetter
        private transient IPanel submitpnl;



		public Argbut()
        {
            super();
            setArgument();
        }

        public Argbut(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

        /**
        *   source:argbut.@0000.script
        */
        @Rule(target="add",order=100)
        public boolean ruleAddN100(){
            IContext ctx = MdaEnv.getContext();
            
			String trans = ctx.getTransName();
			String newTrans ="dba" + trans.substring(3);
			log.info("{}","trans:"+newTrans);
			Platform.mchain(newTrans);

			return true;
        }

        /**
        *   source:argbut.@0001.script
        */
        @Rule(target="ame",order=1000)
        public boolean ruleAmeN1000(){
            IContext ctx = MdaEnv.getContext();
            
			String trans = ctx.getTransName();
			String newTrans ="dbe" + trans.substring(3);
			Platform.mchain(newTrans);

			return true;
        }

        /**
        *   source:argbut.@0002.script
        */
        @Rule(target="del",order=1000)
        public boolean ruleDelN1000(){
            IContext ctx = MdaEnv.getContext();
            
			String trans = ctx.getTransName();
			String newTrans ="dbd" + trans.substring(3);
			Platform.mchain(newTrans);

			return true;
        }











}