package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Mpi;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Congrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Congrp.class);



	    @BDGetter
		private Actgrp actgrp;

	    @BDGetter
		private Odtgrp odtgrp;

	    @BDGetter
		private Krfgrp krfgrp;

	    @BDGetter
		private Iangrp iangrp;

	    @BDGetter
		private Dotgrp dotgrp;

	    @BDGetter
		private Relgrp relgrp;

	    @BDGetter
		private Oftgrp oftgrp;

	    @BDGetter
		private Smtgrp smtgrp;

	    @BDGetter
		private Smegrp smegrp;

	    @BDGetter
		private Smtsvr smtsvr;

	    @BDGetter
		private Mpi mpi;

	    @BDGetter
		private Msggrp msggrp;


		public Congrp()
        {
            super();
            setArgument();
        }

        public Congrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
            this.getSmegrp().setSmtsvrHolder(()->this.getSmtsvr());
            this.getSmtsvr().setMpiHolder(()->this.getMpi());
        }

















}