package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Crd;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Crtgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Crtgrp.class);

        //rec操作标识
        private String recsavflg;



	    @BDGetter
		private Crd rec;


		public Crtgrp()
        {
            super();
            setArgument();
        }

        public Crtgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }




        /**
        *   source:crtgrp.@0000.script
        */
        public boolean insert()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			/*$recsavflg="new";
			  String rolinr=Platform.sdbCounter("rol");
			  $rec\\inr=rolinr;
			  Platform.mdbInsert($rec);
			  if(Platform.errorCode()==NO_ERROR)
			  return true;
			  else */
			return false;
		}
        /**
        *   source:crtgrp.@0001.script
        */
        public boolean update()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			ctx.getErrorCode();
			Platform.mdbUpdate(this.getRec());
			if(ctx.getErrorCode()==NO_ERROR)
			  return true;
			else
			  return false;
		}
        /**
        *   source:crtgrp.@0002.script
        */
        public boolean delete()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			ctx.getErrorCode();
			Platform.mdbDelete(this.getRec());
			if(ctx.getErrorCode() == NO_ERROR)
			  return true;
			else
			  return false;
		}




}