package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Otl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Otlgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Otlgrp.class);



	    @BDGetter
		private Otl rec;

	    @BDGetter
		private Otl befdta;


		public Otlgrp()
        {
            super();
            setArgument();
        }

        public Otlgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }




        /**
        *   source:otlgrp.@0000.script
        */
        public boolean update()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			log.debug("{}","come in otlgrp update()");
			ctx.getErrorCode();
			String rec_inr=this.getRec().getInr();
			String befdta_inr=this.getBefdta().getInr();
			log.debug("{}","rec_inr"+rec_inr);
			log.debug("{}","befdta_inr"+befdta_inr);
			//String inr=$rec\\inr.getValue();
			//$rec\\inr=inr;
			this.getBefdta().setLnkinr("0");
			Platform.mdbUpdate(this.getBefdta());

			this.getRec().setOprsta("M");
			this.getRec().setLnkinr(this.getRec().getInr());
			Platform.sdbInsert(this.getRec());
			//Platform.mdbUpdate($rec);
			if(ctx.getErrorCode()== NO_ERROR)
			  return true;
			else
			  return false;
		}



}