package com.ceb.gjjs.mda.resource;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.InputStream;
import javax.servlet.http.HttpServletRequest;

import com.ceb.gjjs.mda.service.ICommonService;
import com.brilliance.mda.runtime.mda.driver.MdaEnv;
import com.brilliance.mda.runtime.response.ResponseSet;
import com.ceb.gjjs.mda.service.DbesrlService;
import com.ceb.gjjs.mda.vo.DbesrlVO;

@RequestMapping("dbesrl")
@RestController
public class DbesrlResource extends AbstractCommonResource<DbesrlVO>{

    @Autowired
    private DbesrlService dbesrl;

	@Override
	protected ICommonService getCommonService() {
		return dbesrl;
	}

}