package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class CfxopnVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="cfxp.instdpty",dir=DirType.BOTH)
    private String cfxp_instdpty;

    @RelPath(value="cfxp.instgpty",dir= DirType.BOTH)
    private String cfxp_instgpty;

    @RelPath(value="cfxp.msgcntt",dir=DirType.BOTH)
    private String cfxp_msgcntt;

    @RelPath(value="cfxp.msgid",dir=DirType.BOTH)
    private String cfxp_msgid;

    @RelPath(value="cfxp.ref",dir=DirType.BOTH)
    private String cfxp_ref;


}