package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbebrcVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="ptygrp.rec.brhlvl",dir= DirType.BOTH)
    private String ptygrp_rec_brhlvl;

    @RelPath(value="ptygrp.rec.chnnam",dir=DirType.BOTH)
    private String ptygrp_rec_chnnam;

    @RelPath(value="ptygrp.rec.cid",dir=DirType.BOTH)
    private String ptygrp_rec_cid;

    @RelPath(value="ptygrp.rec.etyinr",dir=DirType.BOTH)
    private String ptygrp_rec_etyinr;

    @RelPath(value="ptygrp.rec.extkey",dir=DirType.BOTH)
    private String ptygrp_rec_extkey;

    @RelPath(value="brcp.tit",dir=DirType.BOTH)
    private String brcp_tit;

    @RelPath(value="ptygrp.adr.adr",dir=DirType.BOTH)
    private String ptygrp_adr_adr;

    @RelPath(value="ptygrp.adr.lnknam",dir=DirType.BOTH)
    private String ptygrp_adr_lnknam;

    @RelPath(value="ptygrp.adr.tel",dir=DirType.BOTH)
    private String ptygrp_adr_tel;

    @RelPath(value="ptygrp.bch.branch",dir=DirType.BOTH)
    private String ptygrp_bch_branch;

    @RelPath(value="ptygrp.bch.cnadr1",dir=DirType.BOTH)
    private String ptygrp_bch_cnadr1;

    @RelPath(value="ptygrp.bch.cnadr2",dir=DirType.BOTH)
    private String ptygrp_bch_cnadr2;

    @RelPath(value="ptygrp.bch.decnum",dir=DirType.BOTH)
    private String ptygrp_bch_decnum;

    @RelPath(value="ptygrp.bch.fax",dir=DirType.BOTH)
    private String ptygrp_bch_fax;

    @RelPath(value="ptygrp.bch.pntbchinr",dir=DirType.BOTH)
    private String ptygrp_bch_pntbchinr;

    @RelPath(value="ptygrp.bch.poscod",dir=DirType.BOTH)
    private String ptygrp_bch_poscod;


}