package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbefrrVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="frrgrp.rolnam",dir= DirType.BOTH)
    private String frrgrp_rolnam;

    @RelPath(value="frrp.coprolnam",dir=DirType.BOTH)
    private String frrp_coprolnam;

    @RelPath(value="frrp.numral",dir=DirType.BOTH)
    private String frrp_numral;

    @RelPath(value="frrp.numyet",dir=DirType.BOTH)
    private String frrp_numyet;


}