package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbitelVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="telgrp.usr.rolinf",dir= DirType.BOTH)
    private String telgrp_usr_rolinf;

    @RelPath(value="telgrp.usr.sta",dir=DirType.BOTH)
    private String telgrp_usr_sta;

    @RelPath(value="telgrp.usr.tchgno",dir=DirType.BOTH)
    private String telgrp_usr_tchgno;

    @RelPath(value="telgrp.usr.tchgtyp",dir=DirType.BOTH)
    private String telgrp_usr_tchgtyp;

    @RelPath(value="telgrp.usr.tel",dir=DirType.BOTH)
    private String telgrp_usr_tel;

    @RelPath(value="telgrp.usr.tinst",dir=DirType.BOTH)
    private String telgrp_usr_tinst;

    @RelPath(value="telgrp.usr.tname",dir=DirType.BOTH)
    private String telgrp_usr_tname;

    @RelPath(value="telgrp.usr.tpersoncode",dir=DirType.BOTH)
    private String telgrp_usr_tpersoncode;


}