package com.ceb.gjjs.mda.vo;

import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;

import com.ceb.gjjs.mda.bo.Rol;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DblrolVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="rolgrp.rollst",dir= DirType.OUT)
    private ModuleList<Rol> rolgrp_rollst;

    @RelPath(value="rolp.flg",dir=DirType.BOTH)
    private String rolp_flg;

    @RelPath(value="rolp.lev",dir=DirType.BOTH)
    private String rolp_lev;

    @RelPath(value="rolp.nam",dir=DirType.BOTH)
    private String rolp_nam;

    @RelPath(value="rolp.rellev",dir=DirType.BOTH)
    private String rolp_rellev;


}