package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class PbtameVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="pbtp.bnkadr",dir= DirType.BOTH)
    private String pbtp_bnkadr;

    @RelPath(value="pbtp.bnkallnam",dir=DirType.BOTH)
    private String pbtp_bnkallnam;

    @RelPath(value="pbtp.bnkbic",dir=DirType.BOTH)
    private String pbtp_bnkbic;

    @RelPath(value="pbtp.bnknam",dir=DirType.BOTH)
    private String pbtp_bnknam;

    @RelPath(value="pbtp.ctycod",dir=DirType.BOTH)
    private String pbtp_ctycod;

    @RelPath(value="pbtp.email",dir=DirType.BOTH)
    private String pbtp_email;

    @RelPath(value="pbtp.gendat",dir=DirType.BOTH)
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date pbtp_gendat;

    @RelPath(value="pbtp.hbcod",dir=DirType.BOTH)
    private String pbtp_hbcod;

    @RelPath(value="pbtp.nam",dir=DirType.BOTH)
    private String pbtp_nam;

    @RelPath(value="pbtp.ptycod",dir=DirType.BOTH)
    private String pbtp_ptycod;

    @RelPath(value="pbtp.pvccod",dir=DirType.BOTH)
    private String pbtp_pvccod;

    @RelPath(value="pbtp.rem",dir=DirType.BOTH)
    private String pbtp_rem;

    @RelPath(value="pbtp.tel",dir=DirType.BOTH)
    private String pbtp_tel;

    @RelPath(value="pbtp.zipcod",dir=DirType.BOTH)
    private String pbtp_zipcod;


}